# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program. If not, see https://www.gnu.org/licenses/.

nginx_domains:
  - name: inter.goupile.fr
    config: |
      location / {
          proxy_http_version 1.1;
          proxy_request_buffering off;
          proxy_buffering on;
          proxy_read_timeout 180;
          send_timeout 180;

          proxy_set_header Host $host;
          proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;

          proxy_pass http://unix:/run/goupile/inter.goupile.fr.sock:;
      }
    ssl_certbot_email: interhop@riseup.net
  - name: mire.goupile.fr
    config: |
      location / {
          proxy_http_version 1.1;
          proxy_request_buffering off;
          proxy_buffering on;
          proxy_read_timeout 180;
          send_timeout 180;

          proxy_set_header Host $host;
          proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;

          proxy_pass http://unix:/run/goupile/mire.goupile.fr.sock:;
      }
    ssl_certbot_email: interhop@riseup.net
  - name: neurorea-kb.goupile.fr
    config: |
      location / {
          proxy_http_version 1.1;
          proxy_request_buffering off;
          proxy_buffering on;
          proxy_read_timeout 180;
          send_timeout 180;

          proxy_set_header Host $host;
          proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;

          proxy_pass http://unix:/run/goupile/neurorea-kb.goupile.fr.sock:;
      }
    ssl_certbot_email: interhop@riseup.net
  - name: psy-lille.goupile.fr
    config: |
      location / {
          proxy_http_version 1.1;
          proxy_request_buffering off;
          proxy_buffering on;
          proxy_read_timeout 180;
          send_timeout 180;

          proxy_set_header Host $host;
          proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;

          proxy_pass http://unix:/run/goupile/psy-lille.goupile.fr.sock:;
      }
    ssl_certbot_email: interhop@riseup.net
  - name: goupile.hds.interhop.org
    config: |
      location / {
          proxy_http_version 1.1;
          proxy_request_buffering off;
          proxy_buffering on;
          proxy_read_timeout 180;
          send_timeout 180;

          proxy_set_header Host $host;
          proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;

          proxy_pass http://unix:/run/goupile/goupile.hds.interhop.org.sock:;
      }
    ssl_certbot_email: interhop@riseup.net
  - name: goupile.ch-stdenis.hds.interhop.org
    config: |
      location / {
          proxy_http_version 1.1;
          proxy_request_buffering off;
          proxy_buffering on;
          proxy_read_timeout 180;
          send_timeout 180;

          proxy_set_header Host $host;
          proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;

          proxy_pass http://unix:/run/goupile/goupile.ch-stdenis.hds.interhop.org.sock:;
      }
    ssl_certbot_email: interhop@riseup.net
